## org.eclipse.emf.cdo
Interface CDOLock

All Superinterfaces:
  java.util.concurrent.locks.Lock

    public interface CDOLock

extends java.util.concurrent.locks.Lock

Once object got lock, it will not go in conflict mode or cannot be changed.

Since:
  2.0

Field Summary
`static int` `NO_WAIT` TODO Simon: JavaDoc
`static int` `WAIT` TODO Simon: JavaDoc

Method Summary
`org.eclipse.net4j.util.concurrent.RWLockManager.LockType` `getType()` TODO Simon: JavaDoc
`boolean` `isLocked()` Returns `true` if this lock is currently held by the requesting `view`, `false` otherwise.
`boolean` `isLockedByOthers()` Returns `true` if this lock is currently held by another `view` (i.e. any view different from the requesting one), `false` otherwise.

Methods inherited from interface java.util.concurrent.locks.Lock
`lock, lockInterruptibly, newCondition, tryLock, tryLock, unlock`

Field Detail

### WAIT

    static final int WAIT

  TODO Simon: JavaDoc

  See Also:
    Constant Field Values

### NO_WAIT

    static final int NO_WAIT

  TODO Simon: JavaDoc

  See Also:
    Constant Field Values

Method Detail

### getType

    org.eclipse.net4j.util.concurrent.RWLockManager.LockType getType()

  TODO Simon: JavaDoc

### isLocked

    boolean isLocked()

  Returns `true` if this lock is currently held by the requesting `view`, `false` otherwise.

### isLockedByOthers

    boolean isLockedByOthers()

  Returns `true` if this lock is currently held by another `view` (i.e. any view different from the requesting one), `false` otherwise.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.